                                                                                                                                                                                                                        
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">

function pon_prefijo(dsccli,cedcli,cliexe,cdgcli,limcre,salact,vencido,combotipoventa, numdocexo, fecemiexo, cdgtipexo, nominstexo) {


	parent.document.formulario.cliexento.value=cliexe;
	parent.document.formulario.numdocexo.value=numdocexo;
	parent.document.formulario.nominstexo.value=nominstexo;
	parent.document.formulario.cdgtipexo.value=cdgtipexo;
	//parent.document.formulario_lineas.cliexe2.value=cliexe;

	
}

function limpiar() {

	parent.document.formulario.cliexento.value=cliexe;
	parent.document.formulario.numdocexo.value="";
	parent.document.formulario.nominstexo.value="";
	parent.document.formulario.cdgtipexo.value="";
	//parent.document.formulario_lineas.cliexe2.value=cliexe;

	
}


</script>
<?php include ("../conexion.php"); 
 ?>
<body>
 <?php

	$cliexento=$_GET["cliexento"];
	$cdgcli=$_GET["cdgcli"];
	$diaven=0;
	$salact=0; 
	
	
	$consulta = "SELECT  Sum(salact) AS totalfac FROM web_2101 WHERE cdgcli = $cdgcli";
    $resultado = $mysqli->query($consulta);
    $row = $resultado->fetch_array();
    $salact = $row["totalfac"];
	

			
		if ($sel_verificacion = $mysqli->query("SELECT  * FROM web_2101 WHERE cdgcli = $cdgcli AND salact > 0 LIMIT 0,1" )) 
		 $lineas = $sel_verificacion->num_rows;

					$consulta2 = "SELECT  * FROM web_2101 WHERE cdgcli = $cdgcli AND salact > 0 LIMIT 0,1";
					$resultado2 = $mysqli->query($consulta2);
					$linea = $resultado2->fetch_array();

					if ($lineas > 0) {
				
					$fecven= $linea["FECVEN"];
					$fecact= date("Y-m-d");
					$diaven=strtotime ( $fecact ) - strtotime ( $fecven );
				     $diaven=intval($diaven/60/60/24);
					if ($fecven==""){ $diaven=0; }
				
					}
	
	
	
$consulta3 = "SELECT * FROM web_0301 WHERE cdgcli=$cdgcli ";
$resultado3 = $mysqli->query($consulta3);
echo $filas= $resultado3->num_rows;
$fila = $resultado3->fetch_array();
echo $estcli = $fila["ESTCLI"];

        $cdgcli = $fila["CDGCLI"];
        $dsccli = $fila["DSCCLI"];
        $percon = $fila["PERCON"];
        $cedcli = $fila["CEDCLI"];
		$cliexe = $fila["CLIEXE"];
		$limcre = $fila["LIMCRE"];
		$salact = $fila["SALACT"];
		$chkver = $fila["CHKVER"];
		$cdgpla = $fila["CDGPLA"];
		
		///////////////////////////////////////////////   CONSULTA EXONERACION Y VENCIMIENTO ////////////////////////////////////////////
		
		$numdocexo = $fila["numdocexo"];
		$fecemiexo = $fila["fecemiexo"];
		
		if ($cliexento == 2  ) {

		$nominstexo = "DIRECCION GENERAL DE HACIENDA";
	
		
		if ($numdocexo <> ""  ) {
		$cdgtipexo="04";		
		} 

		$fecvenexo = substr($fila["fecvenexo"], 0, 10);
		$hoy= date("Y-m-d");
		$diaexo=strtotime ( $hoy ) - strtotime ( $fecvenexo );
		
		if ( $diaexo > 0 ){
		
		$nominstexo = "";			
		$cdgtipexo = "";
		$fecemiexo = "";
		$numdocexo = "";
		$cliexe    = "1";
				?>
				<script>
				
				alert ("Cliente NO puede realizar compras EXENTAS la exoneracion se Encuentra Vencida");
	
				</script>
       			 <?php 
		
		} 
		
		}else {
		
		$numdocexo  = "";
		$nominstexo = "";			
		$cdgtipexo  = "";
		
		}
		

		/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		
if ($cdgpla == 0) {$combotipoventa=1; } else {echo $combotipoventa=2;}
		

if ($filas >0) {
		

		if ($estcli=="ACTIVO") {
		
      		if (($chkver == 1) && ($diaven > 8)){
				$vencido=1;
				$combotipoventa=1;
				?>
				<script>
			
                pon_prefijo('<?php echo $dsccli?>','<?php echo $cedcli?>','<?php echo $cliexento ?>' ,<?php echo $cdgcli?>, '<?php echo $limcre ?>','<?php echo $salact ?>','<?php echo $vencido ?>','<?php echo $combotipoventa ?>'  ,'<?php echo $numdocexo ?>' ,'<?php echo $fecemiexo ?>','<?php echo $cdgtipexo ?>' ,'<?php echo $nominstexo ?>' );				</script>
       			 <?php 
			} else {
				$vencido=0;
				
				?>
    			<script languaje="javascript">
     pon_prefijo('<?php echo $dsccli?>','<?php echo $cedcli?>','<?php echo $cliexento ?>' ,<?php echo $cdgcli?>, '<?php echo $limcre ?>','<?php echo $salact ?>','<?php echo $vencido ?>','<?php echo $combotipoventa ?>' ,'<?php echo $numdocexo ?>' ,'<?php echo $fecemiexo ?>','<?php echo $cdgtipexo ?>' ,'<?php echo $nominstexo ?>' );	         </script>
				 <?php
		   }
		   
		   
		} else {
			 ?>
			<script>
			alert ("Cliente Inactivo favor consulte con el Administrador");
			limpiar();
			</script>
			 <?php
	     }
	
	} else {
		?>
		<script>
		alert ("No existe ningun cliente con ese codigo");
		limpiar();
		</script>
		 <?php
	}
	
	
?>
</div>
</body>
</html>
